## MMNr5gRegistrationSettings

MMNr5gRegistrationSettings — Helper object to handle 5GNR registration settings.

## Functions

MMNr5gRegistrationSettings * | mm_nr5g_registration_settings_new ()
void | mm_nr5g_registration_settings_set_mico_mode ()
MMModem3gppMicoMode | mm_nr5g_registration_settings_get_mico_mode ()
void | mm_nr5g_registration_settings_set_drx_cycle ()
MMModem3gppDrxCycle | mm_nr5g_registration_settings_get_drx_cycle ()

## Types and Values

struct | MMNr5gRegistrationSettings

## Object Hierarchy

        GObject
        ╰── MMNr5gRegistrationSettings

## Description

The MMNr5gRegistrationSettings is an object handling the settings used to configure the 5G registration process.

## Functions

### mm_nr5g_registration_settings_new ()

    MMNr5gRegistrationSettings *
    mm_nr5g_registration_settings_new (void);

Creates a new empty MMNr5gRegistrationSettings.

#### Returns

a MMNr5gRegistrationSettings. The returned value should be freed with `g_object_unref()`.

[transfer full]

Since: 1.20

### mm_nr5g_registration_settings_set_mico_mode ()

    void
    mm_nr5g_registration_settings_set_mico_mode
                                   (MMNr5gRegistrationSettings *self,
                                    MMModem3gppMicoMode mico_mode);

Sets the MICO mode configuration.

#### Parameters

self | a MMNr5gRegistrationSettings. |
mico_mode | a MMModem3gppMicoMode. |

Since: 1.20

### mm_nr5g_registration_settings_get_mico_mode ()

    MMModem3gppMicoMode
    mm_nr5g_registration_settings_get_mico_mode
                                   (MMNr5gRegistrationSettings *self);

Gets the MICO mode configuration.

#### Parameters

self | a MMNr5gRegistrationSettings. |

#### Returns

a MMModem3gppMicoMode.

Since: 1.20

### mm_nr5g_registration_settings_set_drx_cycle ()

    void
    mm_nr5g_registration_settings_set_drx_cycle
                                   (MMNr5gRegistrationSettings *self,
                                    MMModem3gppDrxCycle drx_cycle);

Sets the MICO mode configuration.

#### Parameters

self | a MMNr5gRegistrationSettings. |
drx_cycle | a MMModem3gppDrxCycle. |

Since: 1.20

### mm_nr5g_registration_settings_get_drx_cycle ()

    MMModem3gppDrxCycle
    mm_nr5g_registration_settings_get_drx_cycle
                                   (MMNr5gRegistrationSettings *self);

Gets the MICO mode configuration.

#### Parameters

self | a MMNr5gRegistrationSettings. |

#### Returns

a MMModem3gppDrxCycle.

Since: 1.20

## Types and Values

### struct MMNr5gRegistrationSettings

    struct MMNr5gRegistrationSettings;

The MMNr5gRegistrationSettings structure contains private data and should only be accessed using the provided API.